OpenVDB: MergeVoxelRegions< TreeT, LeafManagerT > Class Template Reference

OpenVDB 3.1.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
MergeVoxelRegions< TreeT, LeafManagerT > Class Template Reference

`#include <VolumeToMesh.h>`

## Public Types
typedef TreeT::ValueType | ValueT
typedef tree::ValueAccessor< const TreeT > | AccessorT
typedef TreeT::template ValueConverter< int >::Type | IntTreeT
typedef tree::ValueAccessor< IntTreeT > | IntAccessorT
typedef TreeT::template ValueConverter< bool >::Type | BoolTreeT
typedef LeafManagerT::TreeType::template ValueConverter< Int16 >::Type | Int16TreeT
typedef tree::ValueAccessor< const Int16TreeT > | Int16AccessorT
typedef TreeT::template ValueConverter< float >::Type | FloatTreeT
typedef Grid< FloatTreeT > | FloatGridT

## Public Member Functions
| MergeVoxelRegions (const LeafManagerT &signLeafs, const Int16TreeT &signTree, const TreeT &distTree, IntTreeT &idxTree, ValueT iso, ValueT adaptivity)
void | run (bool threaded=true)
void | setSpatialAdaptivity (const math::Transform &distGridXForm, const FloatGridT &adaptivityField)
void | setAdaptivityMask (const BoolTreeT *mask)
void | setRefData (const Int16TreeT *signTree, ValueT adaptivity)
void | operator() (const tbb::blocked_range< size_t > &) const

## Member Typedef Documentation

typedef tree::ValueAccessor<const TreeT> AccessorT

typedef TreeT::template ValueConverter<bool>::Type BoolTreeT

typedef Grid<FloatTreeT> FloatGridT

typedef TreeT::template ValueConverter<float>::Type FloatTreeT

typedef tree::ValueAccessor<const Int16TreeT> Int16AccessorT

typedef LeafManagerT::TreeType::template ValueConverter<Int16>::Type Int16TreeT

typedef tree::ValueAccessor<IntTreeT> IntAccessorT

typedef TreeT::template ValueConverter<int>::Type IntTreeT

typedef TreeT::ValueType ValueT

## Constructor & Destructor Documentation

MergeVoxelRegions | ( | const LeafManagerT & | signLeafs,
|  | const Int16TreeT & | signTree,
|  | const TreeT & | distTree,
|  | IntTreeT & | idxTree,
|  | ValueT | iso,
|  | ValueT | adaptivity
| ) |  |

## Member Function Documentation

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const

void run | ( | bool | threaded = `true` | ) |

void setAdaptivityMask | ( | const BoolTreeT * | mask | ) |

void setRefData | ( | const Int16TreeT * | signTree,
|  | ValueT | adaptivity
| ) |  |

void setSpatialAdaptivity | ( | const math::Transform & | distGridXForm,
|  | const FloatGridT & | adaptivityField
| ) |  |

The documentation for this class was generated from the following file:

- VolumeToMesh.h